## GOReg GOReg |

## Synopsis

    #define             GO_REG_OK
                        GORegexp;
    typedef             GORegoff;
                        GORegmatch;
    int                 go_regcomp                          (GORegexp *preg,
                                                             const char *pattern,
                                                             int cflags);
    int                 go_regexec                          (const GORegexp *preg,
                                                             const char *string,
                                                             size_t nmatch,
                                                             GORegmatch pmatch[],
                                                             int eflags);
    size_t              go_regerror                         (int errcode,
                                                             const GORegexp *preg,
                                                             char *errbuf,
                                                             size_t errbuf_size);
    void                go_regfree                          (GORegexp *preg);
    const char *        go_regexp_quote1                    (GString *target,
                                                             const char *s);
    void                go_regexp_quote                     (GString *target,
                                                             const char *s);

## Description

## Details

### GO_REG_OK

    #define GO_REG_OK GO_REG_NOERROR

### GORegexp

    typedef struct {
      size_t re_nsub;
    } GORegexp;

### GORegoff

    typedef int GORegoff;

### GORegmatch

    typedef struct {
      GORegoff rm_so, rm_eo;
    } GORegmatch;

### go_regcomp ()

    int                 go_regcomp                          (GORegexp *preg,
                                                             const char *pattern,
                                                             int cflags);

`preg` : |
`pattern` : |
`cflags` : |
Returns : |

### go_regexec ()

    int                 go_regexec                          (const GORegexp *preg,
                                                             const char *string,
                                                             size_t nmatch,
                                                             GORegmatch pmatch[],
                                                             int eflags);

`preg` : |
`string` : |
`nmatch` : |
`pmatch` : |
`eflags` : |
Returns : |

### go_regerror ()

    size_t              go_regerror                         (int errcode,
                                                             const GORegexp *preg,
                                                             char *errbuf,
                                                             size_t errbuf_size);

`errcode` : |
`preg` : |
`errbuf` : |
`errbuf_size` : |
Returns : |

### go_regfree ()

    void                go_regfree                          (GORegexp *preg);

`preg` : |

### go_regexp_quote1 ()

    const char *        go_regexp_quote1                    (GString *target,
                                                             const char *s);

`target` : |
`s` : |
Returns : |

### go_regexp_quote ()

    void                go_regexp_quote                     (GString *target,
                                                             const char *s);

`target` : |
`s` : |